
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android测试教程(11)：ActivityUnitTestCase示例 / iVAN</title>

    <meta name="description" content="Android测试教程(11)：ActivityUnitTestCase示例 ActivityUnitTestCase 通常用来测试单独Activity.在启动被测试的Activity之前,你可以Inject一个假的Context或是 Application ,使用这个Mock的Context中一个隔离环境中运行被测试的Activity.通常用于Activity的单元测试,而不和 Anroid系统进行交互. ActivityUnitTestCase 的类继承关系如下图: 应该要注意的是,作 为单纯的单元测试,被测试的Activity 不运行在一般应用运行的环境中也不和其它">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android测试教程(11)：ActivityUnitTestCase示例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ActivityUnitTestCase 通常用来测试单独Activity。在启动被测试的Activity之前，你可以Inject一个假的Context或是 Application ，使用这个Mock的Context中一个隔离环境中运行被测试的Activity。通常用于Activity的单元测试，而不和 Anroid系统进行交互。</p>
<p>ActivityUnitTestCase 的类继承关系如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUsxMzEzMFUtMC5wbmc=.jpg"></p>
<p>应该要注意的是，作 为单纯的单元测试，被测试的Activity 不运行在一般应用运行的环境中也不和其它Activity产生交互。在这种情况下，不能调 用下面的方法，如果调用一般会抛出异常：</p>
<p>createPendingResult(int, Intent, int)</p>
<p>startActivityIfNeeded (Intent, int)</p>
<p>startActivityFromChild(Activity, Intent, int)</p>
<p>startNextMatchingActivity(Intent)</p>
<p>getCallingActivity()</p>
<p>getCallingPackage()</p>
<p>createPendingResult(int, Intent, int)</p>
<p>getTaskId()</p>
<p>isTaskRoot()</p>
<p>moveTaskToBack(boolean)</p>
<p>下面的方法可以调用，但一般不起任何作用，你可以使用 getStartedActivityIntent()和getStartedActivityRequest() 来检查参数值。</p>
<p>startActivity(Intent)</p>
<p>startActivityForResult(Intent, int)</p>
<p>下面的方法也可以调用，一般也无效果，可以使用isFinishCalled() 和 getFinishedActivityRequest检查传入的参数。</p>
<p>finish()</p>
<p>finishFromChild(Activity)</p>
<p>finishActivity(int)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 06:51:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c/" title="运行">运行</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e5%85%83%e6%b5%8b%e8%af%95/" title="单元测试">单元测试</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>, <a href="https://www.iamivan.net/tag/intent/" title="intent">intent</a>, <a href="https://www.iamivan.net/tag/anroid-javaweb/" title="anroid  javaweb">anroid  javaweb</a>, <a href="https://www.iamivan.net/tag/anroid/" title="anroid">anroid</a>, <a href="https://www.iamivan.net/tag/eclipse-anroid/" title="eclipse anroid">eclipse anroid</a>, <a href="https://www.iamivan.net/tag/anroid%e5%bc%80%e5%8f%91%e6%95%99%e7%a8%8b/" title="anroid开发教程">anroid开发教程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android测试教程(11)：ActivityUnitTestCase示例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7k6Brz.html" rel="bookmark">Android测试教程&lpar;9&rpar;：ApplicationTestCase示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面介绍了Android测试的一些理论知识,从本篇开始的几篇将结合ApiDemoTest示例来介绍Android测试的实例.在此之前可 以参照Android测试教程(3):测试项目 创建ApiDemos-&gt;tests 测试项目,本项目测试用来测试ApiDemos,主要目的是介绍 Android测试框架的使用方法. 当然要测试ApiDemos,事先要创建好项目ApiDemos.下图显示了创建好ApiDemos- &gt;Tests后,ApiDemos-&gt;Tests中所含的Java类: Andro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKyOBAp.html" rel="bookmark">Android测试教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.  测试项目    Android的编译和测试工具需要测试项目组织符合预订的结构:分别为Test case 类,Test case 包以及测试项目. JUnit 为Android的测试的基础,一般来说,一个JUint测试为一个用来测试一个应用某一部分的语句. 你可以将多个测试Test方法组织起来构成一个测试用例(Test case),多个测试用例可以构成Test Suites . 每个Test方法相对独立,一个测试类Test class包含一组相关的Test 或其它辅助方法. 在Androi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY24mxp.html" rel="bookmark">Android测试教程&lpar;5&rpar;：第一个测试项目HelloWorldTest</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例介绍创建一个测试项目的一般步骤和编写测试用例的基本方法. 为简单起见,创建一个HelloWorld应用,带有一 个Greeting类,其定义如下: public class Greeting { private String name; public Greeting(String name){ this.name=name; } public String getGreetings(){ return &quot;Hello,&quot; +name; } } 测试项目打算来测试这个Greeting			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwl73db.html" rel="bookmark">Android测试教程&lpar;13&rpar;：TestCase示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 测试框架是基于JUnit的,因此对一些和平台关系不大的类,可以直接使用JUnit中的TestCase来测试. MorseCodeConverterTest 用来测试MorseCodeConverter类,MorseCodeConverter的实现和Android平台联系不大,因此 可以直接使用TestCase作为基类. TestCase 由Assert 类派生而来,Assert 提供了大量的Assert方法,用来比较期望值 和实际值. 本例代码如下: public class M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAal12M.html" rel="bookmark">Android测试教程&lpar;1&rpar;：概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				测试也是开发过程中一个重要组成部分,Android开发环境集成一个测试框架可以用来测试Android应用的各个方面,单元测试,UI测试等. 本教程基于Android 开发教程英文版. 基本概念包括 Android测试的基础知识 Activity Testing 侧重于Activity的测试,介绍了如果使用Instrumentation 在正常Activity生命周期之外来控制Activity,然后测试Activity的特定的功能和测试UI的一些技巧. Content Provider Testi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91JB3M.html" rel="bookmark">Android测试教程&lpar;17&rpar;：Monkey 命令行工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写完应用之后,作完单元测试和功能测试,有必要对应用的抗打击能力做个测试,最好的方法是雇个&quot;猴子&quot;在测试,猴子 可以胡乱瞎按键,在这种情况下,你的应用是否还能正常工作呢? Android 测试包中提供了一个Monkey工具,就提供了&quot;猴 子&quot;功能,不过比真&quot;猴子&quot;还要智能一些,你还可以指挥这个猴子, 比如按键的比例,触发某个事件的频率等等. 一 个简单的用法,比如你的应用程序的包名为:com.pstreets.navigator 可以使用  adb			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0P69jM.html" rel="bookmark">Android测试教程&lpar;8&rpar;：测试Service</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 测试框架也提供对Service测试的支持,基本类为ServiceTestCase,因为Service类通常假定和它是和Client是分开 使用的,因此你可以无需使用Instrumentation 来测试Service. 当你设计一个Service时,你应该考虑测试用例中如何检查 Service的当前状态,比如你在onCreate ,onStartCommand 中启动一个Service,一般没有一个全局变量来表示Service是否成功 ,你可能需要自己定义一个全局变量用于测试用例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2y6Bvz.html" rel="bookmark">Android测试教程&lpar;7&rpar;：测试Content Provider</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Content Provider 为不同的应用访问数据提供了统一的接口,本篇介绍Android测试包中用于测试Content Provider 的相关 知识. Android 测试包中用于测试Content Provider的基本类为ProviderTestCase2, 允许你在一个隔离环境下来测试 Content Provider. 并提供了一些Mock类如IsolatedContext ,MockContentResover 来辅助测试. 和其它测试一样,对 于Content Provide			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7dBWb.html" rel="bookmark">Android测试教程&lpar;4&rpar;：测试相关API</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android的测试框架相关的API主要定义在三个包中: android.test 用于编写Android测试用例 android.test.mock 定义了方便测试用的测试&quot;桩&quot;类 android.test.suitebuilder 运行测试用例的Test Runner类 Android 测试API 是基于JUnit 扩展而来,并添加了与Android平台相关的测试API. JUnit 你可以直接使用 JUnit中相关API编写一些和平台无关的测试用例(基于TestCase), An			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjDRmp.html" rel="bookmark" class="title">网页吧站长边缘人的网络成长故事</a>
					<div>
						站长之声-讲述站长自己的故事 第一次高考,我落榜了,其实也不是落榜,也算是上了专科线.高三以前我一直是很乖的,老师说不能够上网,上网分心,我就没碰过电脑.后来高考不第,让我很郁闷,郁闷久了就要出去发泄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMllxRM.html" rel="bookmark" class="title">C&num;应用：读取指定盘符的硬盘序列号</a>
					<div>
						硬盘 using System;using System.IO;using System.Runtime.InteropServices;using System.Text;using Microso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7yvab.html" rel="bookmark" class="title">性能优化总结（二）：聚合SQL</a>
					<div>
						本篇主要讲如何使用一句较复杂的SQL来加载整个聚合对象,以达到最小化数据库连接次数.主要是解释其中的原理. LazyLoad及其缺点 相信越来越多的人已经开始使用富领域对象进行领域/业务层的实现了.而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k0ZAz.html" rel="bookmark" class="title">用Dreamweaver8在网页中插入Flash视频</a>
					<div>
						  在 Dreamweaver 的&quot;文档&quot;窗口中打开 l 页面,插入一个三列的表格,在由三列组成的表格的中间一列中放置的图形之上单击一次. 选择&quot;插入&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBQG8z.html" rel="bookmark" class="title">网页设计基础技巧</a>
					<div>
						网页设计基础技巧           注:更多精彩教程请关注三联网页设计教程 栏目,					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7ok8M.html" rel="bookmark" class="title">linux下开机启动DB2&comma;WAS&comma;TDS服务</a>
					<div>
						  linux下开机启动DB2,WAS,TDS服务 参考链接: http://www.2cto.com/database/201207/141858.html www.2cto.com http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWQnmb.html" rel="bookmark" class="title">遇到该内存不能为written的问题</a>
					<div>
						  1.病毒木马造成的,在当今互联网时代,病毒坐着为了获得更多的牟利,常用病毒绑架应用程序和系统文件,然后某些安全杀毒软件把被病毒木马感染的应用程序和系统文件当病毒杀了导致的. 2.应用程序组件丢失, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYqDBb.html" rel="bookmark" class="title">U盘造成电脑重启怎么办</a>
					<div>
						  你有没有遇到过用U盘复制文件的时候电脑总是重启,但是U盘拔掉之后就不会了,用杀毒软件也没用,重做系统也没用,到底是哪里出了问题呢? 其实这样问题并不多见,不过首先要百分之百确认U盘里没有病毒或者木 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBkR8z.html" rel="bookmark" class="title">RTB业务知识之2-Open-RTB全景</a>
					<div>
						一.前言 openrtb是一套开源的竞价广告系统,来自IAB的贡献,非常好.有非常多的值得借鉴的地方,最近基于其所提供sdk api接口文档介绍,整理了相关的资料.主要包括其生态图体系.业务流程和主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42l1PM.html" rel="bookmark" class="title">c&plus;&plus;-关于C&plus;&plus;的问题出了 好多错 看不懂错误 请求帮助，看晕了</a>
					<div>
						问题描述 关于C++的问题出了 好多错 看不懂错误 请求帮助,看晕了 #include class Stu { char *name; double score; public : void Set( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWKnOb.html" rel="bookmark" class="title">用Asp隐藏文件路径，实现防盗链 的代码&lowbar;应用技巧</a>
					<div>
						用Asp隐藏文件路径,实现防盗链  如果我们知道一个静态文件的实际路径如:http://www.xx.com/download/51windows.pdf,如果服务器没有作特别的限制设置,我们就可以毫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVQ4Zb.html" rel="bookmark" class="title">Java Integer类的缓存</a>
					<div>
						首先看一段代码(使用JDK 5),如下: public class Hello { public static void main(String[] args) { int a = 1000, b = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj4Jep.html" rel="bookmark" class="title">SQLSERVER聚集索引与非聚集索引的再次研究（上）</a>
					<div>
						原文:SQLSERVER聚集索引与非聚集索引的再次研究(上) SQLSERVER聚集索引与非聚集索引的再次研究(上) 上篇主要说聚集索引 下篇的地址:SQLSERVER聚集索引与非聚集索引的再次研究( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPQ68p.html" rel="bookmark" class="title">如何在console&period;info中打印空格</a>
					<div>
						问题描述 如何在console.info中打印空格 js中,如何在console.info(Mycar+'type:'+' ? '+typeof Mycar) ;中打印空格 解决方案 echo的打印空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NgAoM.html" rel="bookmark" class="title">Bootstrap&amp;lt&semi;基础十七&amp;gt&semi;导航栏</a>
					<div>
						原文:Bootstrap&lt;基础十七&gt;导航栏 导航栏是一个很好的功能,是 Bootstrap 网站的一个突出特点.导航栏在您的应用或网站中作为导航页头的响应式基础组件.导航栏在移动设备的视图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmmWrb.html" rel="bookmark" class="title">由于不台明白JS代码，下面的这段保存提交的逻辑能不能讲解下，还有下面的问题，谢谢！</a>
					<div>
						问题描述 由于不台明白JS代码,下面的这段保存提交的逻辑能不能讲解下,还有下面的问题,谢谢! ajax({ type: 'POST', url: 'ajaxhelper.aspx?action=sav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRvwmb.html" rel="bookmark" class="title">滑动解锁技术专利归了苹果</a>
					<div>
						商报讯(记者 吴辰光)苹果iPhone 4S与谷歌Android 4.0的大战刚刚打响,一个利好的消息传到了苹果.昨日,苹果获得了美国专利和商标局颁发的一项iPhone.iPod touch和iPad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZX2qz.html" rel="bookmark" class="title">Win10系统电脑怎么设置DNS地址&quest;</a>
					<div>
						1.谷歌全球通用DNS地址: 首选DNS地址:8.8.8.8备选DNS地址:8.8.4.4 2.国内知名的114 DNS地址 首选DNS地址:114.114.114.114备选DNS地址:114.11 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOme7RM.html" rel="bookmark" class="title">《研磨struts2》之通过注解来实现零配置</a>
					<div>
						问题描述 21.3通过注解来实现零配置21.3.1概述在实际开发中,光是简单的通过默认的方式来进行配置,是满足不了实际项目的需要的,这就需要使用注解,来进一步控制程序各个部分的对应关系.就其实质,就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBo61b.html" rel="bookmark" class="title">使用SharePoint 2007 Web Service上传文件到文档库</a>
					<div>
						SharePoint 2010中有了全新的客户端模型,给我们在客户端操作SharePoint对象提供了很大的方便,但是在SharePoint 2007中我们可以使用的方式就比较有限,Web Servi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj3JZM.html" rel="bookmark" class="title">台湾人大陆网站买小米 被掉包收到山寨iphone</a>
					<div>
						中新网12月28日电&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;据台湾ETtoday新闻网报道,台南市一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZW7wz.html" rel="bookmark" class="title">Java基于TCP方式的二进制文件传输&lowbar;java</a>
					<div>
						一个基于Java Socket协议之上文件传输的完整示例,基于TCP通信完成. 除了基于TCP的二进制文件传输,还演示了JAVA Swing的一些编程技巧,Demo程序 实现主要功能有以下几点: 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn86gWb.html" rel="bookmark" class="title">Java实现一个小说采集程序的简单实例&lowbar;java</a>
					<div>
						被标题吸引进来的不要骂我. 只是一个简单的实现,随手写了来下载一部喜欢的小说的.示例中的小说只是示例,不是我的菜. 使用了jsoup.挺好用的一个工具. 有需要的话,参考下自己改吧.挺简单的,是吧.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NJxVb.html" rel="bookmark" class="title">jQuery编写widget的一些技巧分享&lowbar;jquery</a>
					<div>
						1.在编写widget的时候,一般我们需要绑定一些事件,最好将这些widget的绑定事件加上当前widget的命名空间.如果同一个jQuery对象,使用了两个widget,而两个widget都绑定了相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEgj5z.html" rel="bookmark" class="title">js更优雅的兼容&lowbar;javascript技巧</a>
					<div>
						问题种种做底层接口兼容,无非就是利用if,判断客户端支持哪个接口的问题.最著名的例子就是事件: 复制代码 代码如下: var addEvent = function(e, what, how) { i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvXdxM.html" rel="bookmark" class="title">spamassassin自动生成规则的是保存在哪里，以什么样的数据格式保存的？</a>
					<div>
						问题描述 spamassassin自动生成规则的是保存在哪里,以什么样的数据格式保存的? 大神们好,请问有谁研究过spamassassin,它自动生成规则的是保存在哪里,以什么样的数据格式保存的?求教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmEmWb.html" rel="bookmark" class="title">请教，我有多个xml文件，格式是一样的， 如果对他们进行合并统计？</a>
					<div>
						问题描述 举例如下:xml文件都是以日期命名,每天都会产生一个xml文件,记录了一些信息,比如2007-12-13.xml,2007-12-12.xml等等,现在要对这些xml里面的信息进行汇总统计, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YRvqz.html" rel="bookmark" class="title">分类信息网站路线分化 团购运营差异化</a>
					<div>
						分类信息网站出现歧路,团购网站将何去何从?分类信息网站身陷质疑漩涡.3月25日,58同城被指资金链出现问题.现金流只够维持运转4个月.此前,赶集网则被传大规模裁员.面临倒闭.引起资金链传闻四起的罪魁祸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4RYWb.html" rel="bookmark" class="title">麻烦大家填个问卷啊</a>
					<div>
						问题描述 调查问卷采访单位:职务:1.贵公司的新进人员大多数是通过何种渠道进入公司?A.朋友介绍B.通过贵公司发布的招聘信息,经过笔试.面试筛选进入C.行业内人员介绍D.贵公司从学校内部获取人才资源E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y6Lmp.html" rel="bookmark" class="title">java中除了非void方法有返回值需要用到return语句外</a>
					<div>
						问题描述 java中除了非void方法有返回值需要用到return语句外 java中除了非void方法有返回值需要用到return语句外,还有其他什么语句需要retrun语句 因为我看程序源码的时候看 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
